//PROGRAMM FOR BUTTON AND LED
//
// PROCESSOR : PIC16F877A
// CLOCK	 : 20MHz, EXTERNAL


#include	<pic.h>

__CONFIG(WDTDIS & LVPDIS & BORDIS & HS & PWRTEN ) ;


//Just simple delay
void Delay(unsigned long cntr) {
	while (--cntr != 0);
}

// main function
void main( void ) {


	INTCON 	= 0x0;			// Disable inerupt
	CMCON 	= 0x07;		    // Comparators off
	ADCON1	= 0x06;			// port as Digital IO
	TRISA0 	= 0;			// Led pin as output
	TRISE2 	= 1;			// Button as input


	// loop forever - echo 
	while(1) {

		if((PORTE&0x04)==0) {
			PORTA |= 0x01; 
		}
		else {
			PORTA &= ~0x01; 
		}
	}
}
